
#include <stdio.h>

int main()
{
  int n,i,l,k;
  
  scanf("%d",&n);
  if(n<=0)
  {
    printf("-1");
    return -1;
  }
  
  
  for(i=n;i!=0;i--)
  {
    
    for(k=1;k<=n-i;k++)
    {
      printf(" ");
    }
    
    for(l=1;l<=i;l++)
    {
      printf("*");
      if(l!=i)
	printf("-");
    }
    
    printf("\n");
  }
  
  
  
  
  
 return 0; 
}